spi_busnum_to_master
Prev | Chapter 29. Serial Peripheral Interface (SPI) | Next

## Name

spi_busnum_to_master — look up master associated with bus_num

## Synopsis

`struct spi_master * spi_busnum_to_master (` | u16 | bus_num`)`;

## Arguments

`bus_num`

  the master's bus number

## Context

can sleep

## Description

This call may be used with devices that are registered after arch init time. It returns a refcounted pointer to the relevant spi_master (which the caller must release), or NULL if there is no such master registered.

Prev | Up | Next
spi_unregister_master | Home | spi_sync